%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  MixedLevelRSDs
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Mixed Level Response Surface Designs

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
Response Surface Designs (RSDs) involving factors not all at same levels
are called Mixed Level RSDs (or Asymmetric RSDs). In many practical
situations, RSDs with asymmetric levels will be more suitable as it
explores more regions in the design space. (J.S. Mehta and M.N. Das (1968)
<doi:10.2307/1267046>. "Asymmetric rotatable designs and orthogonal
transformations").This package contains function named ATORDs_I() for
generating asymmetric third order rotatable designs (ATORDs) based on
third order designs given by Das and Narasimham (1962). Function
ATORDs_II() generates asymmetric third order rotatable designs developed
using t-design of unequal set sizes, which are smaller in size as compared
to design generated by function ATORDs_I(). In general, third order
rotatable designs can be classified into two classes viz., designs that
are suitable for sequential experimentation and designs for non-sequential
experimentation. The sequential experimentation approach involves
conducting the trials step by step whereas, in the non-sequential
experimentation approach, the entire runs are executed in one go (M. N.
Das and V. Narasimham (1962) <doi:10.1214/AOMS/1177704374>. "Construction
of Rotatable Designs through Balanced Incomplete Block Designs").
ATORDs_I() and ATORDs_II() functions generate non-sequential asymmetric
third order designs. Function named SeqTORD() generates symmetric
sequential third order design in blocks and also gives G-efficiency of the
given design. Function named Asymseq() generates asymmetric sequential
third order designs in blocks (M. Hemavathi, Eldho Varghese, Shashi
Shekhar and Seema Jaggi (2020) <doi:10.1080/02664763.2020.1864817>.
"Sequential asymmetric third order rotatable designs (SATORDs)"). In
response surface design, situations may arise in which some of the factors
are qualitative in nature (Jyoti Divecha and Bharat Tarapara (2017)
<doi:10.1080/08982112.2016.1217338>. "Small, balanced, efficient, optimal,
and near rotatable response surface designs for factorial experiments
asymmetrical in some quantitative, qualitative factors").  The Function
named QualRSD() generates second order design with qualitative factors
along with their D-efficiency and G-efficiency.  The function named
RotatabilityQ() calculates a measure of rotatability (measure Q, 0 <= Q <=
1) given by Draper and Pukelshiem(1990) for given a design based on a
second order model, (Norman R. Draper and Friedrich Pukelsheim(1990)
<doi:10.1080/00401706.1990.10484635>. "Another look at rotatability").

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
